CUeglFrame(3)

NAME
CUeglFrame -

SYNOPSIS

  Data Fields

CUarray_format cuFormat
CUeglColorFormat eglColorFormat
CUeglFrameType frameType
unsigned int numChannels
unsigned int planeCount
CUarray pArray [MAX_PLANES]
void * pPitch [MAX_PLANES]

Detailed Description

CUDA EGLFrame structure Descriptor - structure defining one frame of EGL.

Each frame may contain one or more planes depending on whether the surface * is Multiplanar or not.

Field Documentation

  CUarray_format CUeglFrame::cuFormat

CUDA Array Format

  CUeglColorFormat CUeglFrame::eglColorFormat

CUDA EGL Color Format

  CUeglFrameType CUeglFrame::frameType

Array or Pitch

  unsigned int CUeglFrame::numChannels

Number of channels for the plane

  CUarray CUeglFrame::pArray[MAX_PLANES]

Array of CUarray corresponding to each plane

  unsigned int CUeglFrame::planeCount

Number of planes

  void* CUeglFrame::pPitch[MAX_PLANES]

Array of Pointers corresponding to each plane

Author

Generated automatically by Doxygen from the source code.